Subject: bug#17878: Possible bug in GNU ls with -R

From: Paul Eggert <[email-masked]>
Date: Mon, 30 Jun 2014 09:22:32 -0700

Eric Blake wrote:
> All other ls implementations behave the same.

Unfortunately that's not the case, as AIX 7.1 behaves the way the 
original requestor asked for, as does 7th Edition Unix.  Furthermore, 
the POSIX spec's EXAMPLES section 
<http://pubs.opengroup.org/onlinepubs/9699919799/utilities/ls.html#tag_20_73_17> 
(admittedly informative) agrees with AIX 7.1 and 7th Edition Unix.  My 
guess is that POSIX intended to specify the traditional behavior. 
However, so many implementations have gotten it wrong that one could 
easily argue the wording is unclear, and that the POSIX wording should 
be fixed to make it clear that both the traditional and the common 
behavior are allowed.  Another possibility is that we could change GNU 
ls to behave like traditional ls.